#!/bin/bash
set -ex

# Prepare database
mysql -p"$DB_ROOT_PASSWORD" -u root -h $WORDPRESS_DB_HOST -e "DROP USER IF EXISTS '${WORDPRESS_DB_USER}'; FLUSH PRIVILEGES; CREATE USER '${WORDPRESS_DB_USER}' IDENTIFIED BY '${WORDPRESS_DB_PASSWORD}';"

for db in "${WORDPRESS_DB_NAME}" "${CIVI_DB_NAME}" ; do
    mysql -p"$DB_ROOT_PASSWORD" -u root -h $WORDPRESS_DB_HOST -e "DROP DATABASE IF EXISTS ${db}; CREATE DATABASE ${db} CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci; GRANT ALL PRIVILEGES ON ${db}.* TO '${WORDPRESS_DB_USER}'"
done
